propel:
  _attributes:                  { package: plugins.stMediaImportPlugin.lib.model }

  mediaimport_queue:
    _attributes:                { phpName: MediaImportQueue, allowPkInsert: true }
    miqid:                      { type: integer, size:   11, required: true, primaryKey: true, autoIncrement: true }
    importtype:                 { type: integer, size:   11, required: true } # 0=file_xml, 1=dir_xml, 2=dir_files, 3=ftp_xml, 4=ftp_files
    status:                     { type: integer, size:   11, required: true, default: 0 } # 0=created, 1=processing, 2=error, 3=processed
    options:                    { type: longvarchar, required: true }
    progress:                   { type: integer, size:    3, required: true, default: 0 }
    created_at:                 { type: timestamp, required: true }
    updated_at:                 { type: timestamp, required: true }
    _indexes:
      miq_i_created_at:         [created_at]
      miq_i_type_status:        [importtype, status]
      miq_i_status:             [status]
